* file:  AD8158_LINELOSS.SP
* auth:  jbankman
* date:  1/5/2009
* hist:  7/7/06 - initial version
* rev :  2.0
*
* 	 Analog Devices, Inc.  All Rights Reserved
*
*	 
*	 This circuit is an approximate model of FR4 trace loss
*	 over 2 to 50 inches.  
*
*	 This model is unidirectional.  Signal flows only from input to output.
*	 It is expected that users will replace this element with an appropriate
*        description of their channel.
*
*	 The model presents a dc-resistance of 50 Ohms to vref at input and output.
*
*	 PARAMETERS:  LINELENGTH
*
*        NODES:	in = input, out = output, vref = transmission line reference plane
*

.SUBCKT ad8158_lineloss in out vref linelength=30

.PROT freelib
H]=3g\#du9a2k33'P/y0
Z.[5'OXlw9ZS<K=lT7qWXv1-7t%#+*i(8Os*BQu:k[
+t'Y=O$%Bp-7id/9/K%5i(Nx+pP(LhZ$2ry
e$;:1Kw ] *K,tk<c0aG,<<(e +;5Y+(o2!K[
+t'Y=O$%*U-7id/9/K%5i(Nx+pP(L)a]8
X256;>7STM)YLW9zs<k=LtFjX3ifw0o7q
H]=3g\#\(9a2k=,du7Z
-61'$U9,H$_#R _ [A\7q
H]=3g\#;(9a27[
+t'Y=O$Y3W-9y'6=a22':'6j7Q
H]=3g\#;c9a2k%*p5x$j$t#22'9'6j#_:x$)N%*pX6
BIg8[9:%u2y7722[9'6b,22Uy0
L
o%#+*xD\%#y;*_231*='k22h##y;*_2MX=\39l2vX=;3#pJ1y;wU5E\Y<jDY
yI787C :\6( 7r+Y
yID\%#VrXxP:0:wp/z
0
Zr\t;M7([%8
.UNPROT
.ENDS ad8158_lineloss
